/* -------------------------------------------------------------------------
** reg.h - definicoes e prototipos do modulo de manipulacao dos registros
**         da agenda.
** -------------------------------------------------------------------------
*/
#ifndef _REG_H
#define _REG_H

/* -------------------------------------------------------------------------
** Definicoes:
*/
#define TAM_NOME  81
#define TAM_FONE  31
#define TAM_MAIL  51

typedef struct
{
  int dia;
  int mes;
  int ano;
} Data;

typedef struct
{ 
  char nome[TAM_NOME];
  char fone[TAM_FONE];
  char mail[TAM_MAIL];
  Data nasc;
} tReg;

/* -------------------------------------------------------------------------
** Funcoes publicas:
*/
void  RegInicia     (void);
void  RegTermina    (void);
void  RegInsereOrd  (tReg *reg);
int   RegRemove     (int pos);
void  RegListaNome  (void);
void  RegListaPadr  (char *txt);
void  RegListaInd   (int ind);

#endif
