/* -------------------------------------------------------------------------
**                Universidade Estacio de Sa' - Campus Barra
** -------------------------------------------------------------------------
** TRABALHO FINAL DE PROGRAMACAO II.
** -------------------------------------------------------------------------
** Curso:     Programacao II - Noite
** Professor: Marcio Santi
** Aluno:     Nome_do_aluno / Matricula_do_aluno
** Arquivo:   agenda.c
** Descricao: Programa para implementacao de uma agenda de telefones.
** Data:      26-Out-2000
** -------------------------------------------------------------------------
*/
#include <stdio.h>
#include <stdlib.h>

#include "str.h"
#include "reg.h"

/* -------------------------------------------------------------------------
** Funcoes locais:
*/
static void  ItfEspera  (void);
static void  ItfInsere  (void);
static void  ItfRetira  (void);
static void  ItfPadrao  (void);
static void  ItfBusca   (void);

/* ============================= ItfEspera ============================== */

static void ItfEspera(void)
{
  int c;

  printf("Digite <enter> para continuar.\n");
  do
  {
    c = getchar( );
  } while (c != '\n');
}

/* ============================= ItfInsere ============================== */

static void ItfInsere(void)
{
  tReg reg;

  /* Le os dados da pessoa a ser cadastrada.
  */
  printf("Nome: ");
  /* COMPLETE AQUI */  
  printf("Fone: ");
  /* COMPLETE AQUI */ 
  printf("Mail: ");
  /* COMPLETE AQUI */
  printf("Aniversario:(dd/mm/aaaa)) ");
  /* COMPLETE AQUI */

  /* Adiciona o registro no vetor (na ordem correta).
  */
  /* COMPLETE AQUI */
}

/* ============================== ItfRetira ============================= */

static void ItfRetira(void)
{
  int ind,code;

  /* Verifica o numero da string desejada.
  */
  printf("Digite o indice do registro a ser eliminado: ");
  scanf("%d", &ind);
  getchar( );  /* Retira o <enter> do buffer. */

  /* Retira a string do vetor.
  */
  code = /* COMPLETE AQUI */
  if (!code)
  {
    printf("Indice invalido.\n");
    ItfEspera( );
    return;
  }
}

/* ============================== ItfPadrao ============================ */

static void ItfPadrao(void)
{
  char padrao[31];

  /* Le a string digitada pelo usuario.
  */
  /* COMPLETE AQUI */

  /* Imprime todas as strings onde o padrao for encontrado.
  */
  /* COMPLETE AQUI */
}

/* ============================== ItfPadrao ============================ */

static void ItfBusca(void)
{
  int  ind;

  /* Le o indece digitado pelo usuario.
  */
  printf("Digite o indice do registro a ser visualizado: ");
  scanf("%d", &ind);
  getchar( );  /* Retira o <enter> do buffer. */

  /* Imprime os dados referentes ao indice digitado.
  */
  RegListaInd(index);
  ItfEspera( );
}

/* -------------------------------------------------------------------------
** Funcao principal:
*/
void main(void)
{
  int op;

  /* Carrega os registros existentes ou prepara receber os primeiros.
  */
  RegInicia( );
 
  /* Loop de interacao com o usuario.
  */
  while (1)
  {
    /* Imprime o vetor de strings.
    */
    system("clear");
    printf("------------------------------------\n");
    printf("Agenda de telefones.\n");
    printf("------------------------------------\n");
    RegListaNome( );
    printf("------------------------------------\n");

    /* Le a opcao do usuario.
    */
    printf("(0) Finaliza\n");
    printf("(1) Insere \n");
    printf("(2) Retira\n");
    printf("(3) Padrao\n");
    printf("(4) Busca\n");
    printf("Escolha uma opcao: ");
    scanf("%d", &op);
    getchar( );  /* Retira o <enter> do buffer. */

    /* Executa a opcao escolhida.
    */
    if (op == 0)
    {
      break;
    }
    else if (op == 1)
    {
      /* COMPLETE AQUI */
    }
    else if (op == 2)
    {
      /* COMPLETE AQUI */
    }
    else if (op == 3)
    {
      /* COMPLETE AQUI */
    }
    else if (op == 4)
    {
      /* COMPLETE AQUI */
    }
    else
    {
      printf("Opcao invalida.\n");
      ItfEspera( );
    }
  }

  /* Grava os dados e libera a memoria alocada.
  */
  /* COMPLETE AQUI */
}

/* ================================================= Fim do arquivo ===== */
